Name:		libtheora
Version:	1.0beta2
Release:	1
Summary:	The Theora Video Compression Codec.
Group:		System Environment/Libraries
License:	BSD
URL:		http://www.theora.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source:		http://downloads.xiph.org/releases/theora/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

BuildRequires:	libogg-devel >= 1.1
BuildRequires:	libvorbis-devel >= 1.0.1
BuildRequires:	SDL-devel

Requires:       libogg >= 1.1
Requires:       libvorbis >= 1.0.1
Requires:       SDL

%description
Theora is Xiph.Org's first publicly released video codec, intended
for use within the Ogg's project's Ogg multimedia streaming system.
Theora is derived directly from On2's VP3 codec; Currently the two are
nearly identical, varying only in encapsulating decoder tables in the
bitstream headers, but Theora will make use of this extra freedom
in the future to improve over what is possible with VP3.

The library is available as 32-bit and 64-bit.


%package devel
Summary:        Development tools for Theora applications.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libogg-devel >= 1.1

%description devel
The libtheora-devel package contains the header files and documentation
needed to develop applications with Ogg Theora.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp lib/.libs/libtheora.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/libtheora.a ./libtheora.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

rm -rf __docs/doxygen*


%clean 
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc COPYING README
%{_libdir}/libtheora.a


%files devel
%defattr(-,root,system,-)
%doc __docs/*
%dir %{_includedir}/theora
%{_includedir}/theora/theora.h
%{_libdir}/libtheora.la
%{_libdir}/pkgconfig/theora.pc


%changelog
* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 1.0beta2-1
- first version for AIX V5.1 and higher
